List webhook notifications
curl --request GET \
--url https://api.terminal49.com/v2/webhook_notifications \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/webhook_notifications"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/webhook_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook_notification",
"attributes": {
"delivery_status": "pending",
"created_at": "<string>"
},
"relationships": {
"webhook": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook"
}
},
"reference_object": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"links": {
"last": "<string>",
"next": "<string>",
"prev": "<string>",
"first": "<string>",
"self": "<string>"
},
"meta": {
"size": 123,
"total": 123
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook",
"attributes": {
"url": "<string>",
"active": true,
"events": [],
"secret": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
]
}Webhook Notifications
List webhook notifications
List webhook notifications from the Terminal49 API to reconcile delivered and undelivered events when your endpoint has been down or behind on processing.
GET
/
webhook_notifications
List webhook notifications
Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Query Parameters
Comma delimited list of relations to include.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
included
(webhook · object | Tracking Request · object | Transport Event Model · object | Estimated Event Model · object)[]
- webhook
- Tracking Request
- Transport Event Model
- Estimated Event Model
Show child attributes
Show child attributes
Was this page helpful?
⌘I